Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class NameListToListModelAdapter

    java.lang.Object
      javax.swing.AbstractListModel
          ru.biosoft.access.support.NameListToListModelAdapter

All Implemented Interfaces:
  DataCollectionListener, java.util.EventListener, javax.swing.ListModel, java.io.Serializable

Direct Known Subclasses:
  NameListToComboBoxModelAdapter

public class NameListToListModelAdapter
extends javax.swing.AbstractListModel
implements DataCollectionListener

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `nameList`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`NameListToListModelAdapter(DataCollection dataCollection)`

Method Summary
`void` | `elementAdded(DataCollectionEvent e)` Called after data element was added.
`void` | `elementChanged(DataCollectionEvent e)` Called after data element was changed.
`void` | `elementRemoved(DataCollectionEvent e)` Called after data element was removed.
`void` | `elementWillAdd(DataCollectionEvent e)` Called before data element will be added.
`void` | `elementWillChange(DataCollectionEvent e)` Called before data element will be changed.
`void` | `elementWillRemove(DataCollectionEvent e)` Called before data element will be removed.
`java.lang.Object` | `getElementAt(int index)`
`int` | `getSize()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameList

    protected java.util.List nameList

Constructor Detail

### NameListToListModelAdapter

    public NameListToListModelAdapter(DataCollection dataCollection)

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                      throws java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called after data element was added.

  Specified by:
    `elementAdded` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about added data element.
  Throws:
    `java.lang.Exception` - If error occured.

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                           throws DataCollectionVetoException,
                                  java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called before data element will be removed.

  Specified by:
    `elementWillRemove` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will removed data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel removing of data element.
    `java.lang.Exception` - If error occured.

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                        throws java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called after data element was removed.

  Specified by:
    `elementRemoved` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about removed data element.
  Throws:
    `java.lang.Exception` - If error occured.

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                        throws DataCollectionVetoException,
                               java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called before data element will be added.

  Specified by:
    `elementWillAdd` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will added data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel adding of data element.
    `java.lang.Exception` - If error occured.

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                        throws java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called after data element was changed. `e` contains old data element (which already changed).

  Specified by:
    `elementChanged` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about changed data element.
  Throws:
    `java.lang.Exception` - If error occured.

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                           throws DataCollectionVetoException,
                                  java.lang.Exception

  Description copied from interface: `DataCollectionListener`
  Called before data element will be changed. `e` contains old data element (which will be changed).

  Specified by:
    `elementWillChange` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will change data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel changing of data element.
    `java.lang.Exception` - If error occured.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.